tvbrowser.core.filters.filtercomponents

## Class PluginFilterComponent

- java.lang.Object
- - tvbrowser.core.filters.filtercomponents.AbstractFilterComponent
  - - tvbrowser.core.filters.filtercomponents.PluginFilterComponent

- All Implemented Interfaces:
    FilterComponent

      public class PluginFilterComponent
      extends AbstractFilterComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.core.filters.FilterComponent

      `FilterComponent.NameComparator, FilterComponent.TypeComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginFilterComponent()`
    `PluginFilterComponent(java.lang.String name, java.lang.String desc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Program program)` Checks a program if it is acceptable by the FilterComponent.
    `java.lang.String` | `getPluginId()`
    `javax.swing.JPanel` | `getSettingsPanel()` Gets the settings panel for a FilterComponent.
    `java.lang.String` | `getTypeDescription()` Gets the description of a FilterComponent type.
    `int` | `getVersion()` Gets the version number of a FilterComponent.
    `void` | `read(java.io.ObjectInputStream in, int version)` Loads the settings of a FilterComponent from an ObjectInputStream.
    `void` | `saveSettings()` Is called when the settings should be saved (i.e. the users pressed the OK button in the settings dialog)
    `java.lang.String` | `toString()`
    `void` | `write(java.io.ObjectOutputStream out)` Saves the settings of a FilterComponent to an ObjectOutputStream.

    - ### Methods inherited from class tvbrowser.core.filters.filtercomponents.AbstractFilterComponent

      `getDescription, getName, setDescription, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginFilterComponent

          public PluginFilterComponent(java.lang.String name,
                               java.lang.String desc)

    - #### PluginFilterComponent

          public PluginFilterComponent()

  - ### Method Detail

    - #### read

          public void read(java.io.ObjectInputStream in,
                  int version)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

      Description copied from interface: `FilterComponent`
      Loads the settings of a FilterComponent from an ObjectInputStream.
      Parameters:
        `in` - The stream to read from.
        `version` - The version of the data.
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### write

          public void write(java.io.ObjectOutputStream out)
                     throws java.io.IOException

      Description copied from interface: `FilterComponent`
      Saves the settings of a FilterComponent to an ObjectOutputStream.
      Parameters:
        `out` - The stream to write to.
      Throws:
        `java.io.IOException`

    - #### accept

          public boolean accept(Program program)

      Description copied from interface: `FilterComponent`
      Checks a program if it is acceptable by the FilterComponent.
      Parameters:
        `program` - The program to check.
      Returns:
        `true` if the program is acceptable by the FilterComponent, `false` otherwise.

    - #### getPluginId

          public java.lang.String getPluginId()

      Returns:
        The id of the used plugin.

    - #### getTypeDescription

          public java.lang.String getTypeDescription()

      Description copied from interface: `FilterComponent`
      Gets the description of a FilterComponent type.
      Specified by:
        `getTypeDescription` in interface `FilterComponent`
      Overrides:
        `getTypeDescription` in class `AbstractFilterComponent`
      Returns:
        The description of the FilterComponent type.

    - #### getSettingsPanel

          public javax.swing.JPanel getSettingsPanel()

      Description copied from interface: `FilterComponent`
      Gets the settings panel for a FilterComponent.
      Returns:
        The settings panel the FilterComponent.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### saveSettings

          public void saveSettings()

      Description copied from interface: `FilterComponent`
      Is called when the settings should be saved (i.e. the users pressed the OK button in the settings dialog)

    - #### getVersion

          public int getVersion()

      Description copied from interface: `FilterComponent`
      Gets the version number of a FilterComponent.
      Returns:
        The version number of a FilterComponent.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)